require 'active_support/core_ext/string'
class Implementation 
  @settings = {}
  def self.setup(&block)
    block.call(self)
  end
  def self.method_missing(m, *args, &block)
    m = m.to_s.gsub('=','')
    @settings[m] = args[0] if args.size == 1
    #notice the new, I can now loose self in generators
    @settings[m].to_s.camelize.constantize.new  
  end
end
